Subject: Re: Problem with X11 include files
From: "Elfyn McBratney" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 01 Nov 2002 17:51:07 +0000

Hi,

I think you had similar problems a few days ago...? Your include line is a 
bit mashed to say the least.

Im taking a shot in the dark here but guessing your running gcc/other under 
cygwin hense the `$'. So the first problem is that /d:cygwin doesn't exist 
and will never exist. If your cygwin install is in D:\Cygwin then your 
cygwin filesystem (root fs) is /, so your gcc line should look something 
like this:

$ gcc -I/usr/X11R6/include tortoise.cpp -o tortoise

or

$ gcc -I/usr/X11R6/include/X11 tortoise.cpp -o tortoise

(If your file(s) calls files in `#include' blocks like `<file>' instead of 
`<dir/file>')

Elfyn
[email-masked]
-----------------------------------------------
[email-masked]

>From: jblazi <[email-masked]>
>To: [email-masked]
>Subject: Problem with X11 include files
>Date: Fri, 1 Nov 2002 16:18:50 +0100
>MIME-Version: 1.0
>Received: from mc4-f17.law16.hotmail.com ([65.54.237.152]) by 
>mc4-s7.law16.hotmail.com with Microsoft SMTPSVC(5.0.2195.5600); Fri, 1 Nov 
>2002 07:08:29 -0800
>Received: from sources.redhat.com ([209.249.29.67]) by 
>mc4-f17.law16.hotmail.com with Microsoft SMTPSVC(5.0.2195.5600); Fri, 1 Nov 
>2002 07:08:29 -0800
>Received: (qmail 10803 invoked by alias); 1 Nov 2002 15:08:24 -0000
>Received: (qmail 10716 invoked from network); 1 Nov 2002 15:08:23 -0000
>Received: from unknown (HELO mail.gmx.net) (213.165.64.20)  by 
>sources.redhat.com with SMTP; 1 Nov 2002 15:08:23 -0000
>Received: (qmail 28150 invoked by uid 0); 1 Nov 2002 15:08:21 -0000
>Received: from dsl-212-144-223-023.arcor-ip.net (HELO linux) 
>(212.144.223.23)  by mail.gmx.net (mp010-rz3) with SMTP; 1 Nov 2002 
>15:08:21 -0000
>Mailing-List: contact [email-masked]; run by ezmlm
>Precedence: bulk
>List-Unsubscribe: 
><mailto:cygwin-unsubscribe-emcb_exposure=[email-masked]>
>List-Subscribe: <mailto:[email-masked]>
>List-Archive: <http://sources.redhat.com/ml/cygwin/>
>List-Post: <mailto:[email-masked]>
>List-Help: <mailto:[email-masked]>, 
><http://sources.redhat.com/ml/#faqs>
>Sender: [email-masked]
>Mail-Followup-To: [email-masked]
>Delivered-To: mailing list [email-masked]
>Message-Id: <[email-masked]>
>Return-Path: cygwin-return-60777-emcb_exposure=[email-masked]
>X-OriginalArrivalTime: 01 Nov 2002 15:08:29.0576 (UTC) 
>FILETIME=[8935B880:01C281B8]
>
>I am trying to compile a small application from the GUILE tutorial. This
>application needs X11/Xlib.h. I installed the X11 files and the include
>file is in the directory d:/cygwin/usr/X11R6/include/X11, but I do not
>know how to tell this gcc. For example
>
>$ gcc -I/d:cygwin/usr/X11R6/include/ tortoise.cpp -o tortoise
>tortoise.cpp:1:22: X11/Xlib.h: No such file or directory
>
>does not work and if I specify the full path in my application then the =
>include files Xlib.h needs, are still not found.
>
>Any hints?
>
>TIA,
>
>--
>Janos Blazi
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

_________________________________________________________________
Get faster connections -- switch to MSN Internet Access! 
http://resourcecenter.msn.com/access/plans/default.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/